﻿Public Class Form1
    Private Sub SerialPort1_DataReceived(ByVal sender As Object, ByVal e As System.IO.Ports.SerialDataReceivedEventArgs) Handles SerialPort1.DataReceived
        txtLog.text &= "Got Data" & vbCrLf
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        If Val(lblTimeRemaining.Text) > 0 Then
            lblTimeRemaining.Text = Val(lblTimeRemaining.Text) - 1
        Else
            Timer1.Enabled = False
            grpControls.Enabled = True
            lblTimeRemaining.Text = "∞"
        End If
    End Sub

    Private Sub btnForward_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnForward.Click
        lblTimeRemaining.Text = "1"
        Timer1.Enabled = True
        grpControls.Enabled = False
        SerialPort1.Open()
        Dim testPacket() As Byte = {&H7E, &H0, &H13, &H10, &H1, &H0, &H13, &HA2, &H0, &H40, &HA, &H3E, &HB6, &HB4, &H3F, &H1, &H0, &HAA, &HFF, &HFF, &HFF, &HFF, &H61}
        SerialPort1.Write(testPacket, 0, 23)
        SerialPort1.Close()
    End Sub

    Private Sub btnStop_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStop.Click
        lblTimeRemaining.Text = "1"
        Timer1.Enabled = True
        grpControls.Enabled = False
        SerialPort1.Open()
        Dim testPacket() As Byte = {&H7E, &H0, &H13, &H10, &H1, &H0, &H13, &HA2, &H0, &H40, &HA, &H3E, &HB6, &HB4, &H3F, &H1, &H0, &HCC, &HFF, &HFF, &HFF, &HFF, &H3F}
        SerialPort1.Write(testPacket, 0, 23)
        SerialPort1.Close()
    End Sub

    Private Sub btnBackward_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBackward.Click
        lblTimeRemaining.Text = "1"
        Timer1.Enabled = True
        grpControls.Enabled = False
        SerialPort1.Open()
        Dim testPacket() As Byte = {&H7E, &H0, &H13, &H10, &H1, &H0, &H13, &HA2, &H0, &H40, &HA, &H3E, &HB6, &HB4, &H3F, &H1, &H0, &HBB, &HFF, &HFF, &HFF, &HFF, &H50}
        SerialPort1.Write(testPacket, 0, 23)
        SerialPort1.Close()
    End Sub

    Private Sub btnRight_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRight.Click
        lblTimeRemaining.Text = ".5"
        Timer1.Enabled = True
        grpControls.Enabled = False
        SerialPort1.Open()
        Dim testPacket() As Byte = {&H7E, &H0, &H13, &H10, &H1, &H0, &H13, &HA2, &H0, &H40, &HA, &H3E, &HB6, &HB4, &H3F, &H1, &H0, &HEE, &HFF, &HFF, &HFF, &HFF, &H1D} '1D
        SerialPort1.Write(testPacket, 0, 23)
        SerialPort1.Close()
    End Sub

    Private Sub btnLeft_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLeft.Click
        lblTimeRemaining.Text = ".5"
        Timer1.Enabled = True
        grpControls.Enabled = False
        SerialPort1.Open()
        Dim testPacket() As Byte = {&H7E, &H0, &H13, &H10, &H1, &H0, &H13, &HA2, &H0, &H40, &HA, &H3E, &HB6, &HB4, &H3F, &H1, &H0, &HDD, &HFF, &HFF, &HFF, &HFF, &H2E} '2E
        SerialPort1.Write(testPacket, 0, 23)
        SerialPort1.Close()
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        txtLog.Text = "Program Started" & vbCrLf
    End Sub
End Class
